
TYPO3.Flow - Bug # 36010

Status: Closed Priority: -- undefined --
Author: Uschi Renziehausen Category: - Error Handler Report -
Created: 2012-04-13 Assigned To: Adrian Föder
Updated: 2012-05-25 Due date:
PHP Version: 5.3
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.4
Subject: TYPO3\FLOW3\Exception thrown in file Bootstrap.php
Description

It seems like the PHP binary "C:\php/php" cannot be executed by FLOW3. Set the correct path to the PHP executable in
Configuration/Settings.yaml, setting FLOW3.core.phpBinaryPathAndFilename.
3 TYPO3\FLOW3\Core\Bootstrap::initializeForRuntime()

2 TYPO3\FLOW3\Core\Bootstrap::handleWebRequest()

1 TYPO3\FLOW3\Core\Bootstrap::run()

I am using windows and the exeption above is thrown when I try to test my first steps with flow 3 according to 
http://flow3.typo3.org/documentation/quickstart.html > Testing the Installation.

In Configuration/Settings.yaml I set phpBinaryPathAndFilename: 'E:\xampp\php\php.exe' and reloaded the page. The exeption is still
there and still has C:\php/php, so perhaps the configuration is not read in which case this is a bug?

The version I downloaded is Base Distribution (1.0.4) which I could not select.

Regards Uschi

History
#1 - 2012-04-16 18:09 - Adrian Föder
- Assigned To set to Adrian Föder

Uschi, did you clear the caches (i.e. rm -r Data/Temporary) and tried running ./flow3.bat again?

#2 - 2012-04-16 18:09 - Adrian Föder
- Status changed from New to Needs Feedback

#3 - 2012-04-16 23:25 - Sven Leuschner

Uschi - please tell us in WHICH directory did you change the settings.yaml

I found at least 2 locations 
first one is Installation-Path->Configuration 
second one in Installation-Path->Packages->Framework->TYPO.FLOW3->Configuration

If you make the changes in the second one it should work - at least it did for me
#4 - 2012-04-17 01:14 - Bastian Waidelich

Sven Leuschner wrote:

first one is Installation-Path->Configuration 
second one in Installation-Path->Packages->Framework->TYPO.FLOW3->Configuration

You should not change the files inside the packages, otherwise you might run into conflicts when updating.
Changing this in the global Configuration/Settings.yaml should work without having to flush the cache.

Make sure, that:

    -  your file is really called "Settings.yaml" (you have to rename "Settings.yaml.example")
    -  you comment out (remove the "#") from both affected lines
    -  the indentation is correct

The resulting file should look like:

TYPO3:
  FLOW3:
    persistence:

      # It is good practice to not specify user name and password of the database
      # connection in this global Settings.yaml file. Rather specify them in the
      # settings of the respective context (Production / Development ...).
      backendOptions:
        host: '127.0.0.1'    # adjust to your database host

  # On Windows, you might need to uncomment the following lines and specify
  # the location of the PHP binary manually.
    core:
      phpBinaryPathAndFilename: 'C:/path/to/php.exe'

#5 - 2012-04-18 11:13 - Bastian Waidelich
- Affected Flow version changed from FLOW3 1.0.3 to FLOW3 1.0.4

#6 - 2012-05-25 14:38 - Karsten Dambekalns
- Status changed from Needs Feedback to Closed
